# Helpers for manipulating Linux libnuma bitmask

## Functions

static __hwloc_inline struct bitmask *__hwloc_attribute_malloc | hwloc_cpuset_to_linux_libnuma_bitmask (hwloc_topology_t topology, hwloc_const_cpuset_t cpuset)
| Convert hwloc CPU set `cpuset` into the returned libnuma bitmask.
static __hwloc_inline int | hwloc_cpuset_from_linux_libnuma_bitmask (hwloc_topology_t topology, hwloc_cpuset_t cpuset, const struct bitmask *bitmask)
| Convert libnuma bitmask `bitmask` into hwloc CPU set `cpuset`.

## Function Documentation

static __hwloc_inline int hwloc_cpuset_from_linux_libnuma_bitmask | ( | hwloc_topology_t | topology,
|  | hwloc_cpuset_t | cpuset,
|  | const struct bitmask * | bitmask |
| ) |  |  | `[static]`

Convert libnuma bitmask `bitmask` into hwloc CPU set `cpuset`.

This function may be used after calling many numa_ functions that use a struct bitmask as an output parameter.

static __hwloc_inline struct bitmask* __hwloc_attribute_malloc hwloc_cpuset_to_linux_libnuma_bitmask | ( | hwloc_topology_t | topology,
|  | hwloc_const_cpuset_t | cpuset |
| ) |  |  | `[static, read]`

Convert hwloc CPU set `cpuset` into the returned libnuma bitmask.

The returned bitmask should later be freed with numa_bitmask_free.

This function may be used before calling many numa_ functions that use a struct bitmask as an input parameter.

Returns:
  newly allocated struct bitmask.